package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 验收入库表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkYsrkCheckinService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkYsrkCheckin(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkYsrkCheckinMapper.addSKcCrkYsrkCheckin", pd);
    }

    public List<PageData> findSKcCrkYsrkCheckinList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkYsrkCheckinMapper.selectSKcCrkYsrkCheckinList", pd);
    }

    public Integer SKcCrkYsrkCheckinRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkYsrkCheckinMapper.SKcCrkYsrkCheckinRemove", pd);
    }


    public Integer updateSKcCrkYsrkCheckin(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkYsrkCheckinMapper.updateSKcCrkYsrkCheckin", pd);
    }

}
